Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrFloat Class Reference

A PangoAttrFloat C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrFloat:

List of all members.

## Public Member Functions

- PangoAttrFloat * pango_attr_float () const
    Get a pointer to the PangoAttrFloat structure.
- double value () const
    Returns the float value.
- void set_value (double value)
    Sets the float value.

## Protected Member Functions

Constructors

- AttrFloat (PangoAttribute *attr, bool copy)
    Construct a new float attribute from an existing float PangoAttribute.

## Detailed Description

A PangoAttrFloat C++ wrapper class.

AttrFloat is the base class for float attributes such as Scale.

## Constructor & Destructor Documentation

Inti::Pango::AttrFloat::AttrFloat | ( | PangoAttribute * | attr,
|  | bool | copy
| ) | `[explicit, protected]`

  | Construct a new float attribute from an existing float PangoAttribute. Parameters:
  attr | A float PangoAttribute.
  copy | Set true if a copy of attr should be used.
If copy is true attr is copied. If false attr is assumed to be a valid float attribute that must be freed. Either way AttrFloat will own the PangoAttribute and free it when it's no longer required.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer